org.eclipse.jetty.io

## Class EofException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.EOFException
        - - org.eclipse.jetty.io.EofException

All Implemented Interfaces:
  Serializable

    public class EofException
    extends EOFException

A Jetty specialization of EOFException.

This is thrown by Jetty to distinguish between EOF received from the connection, vs and EOF thrown by some application talking to some other file/socket etc. The only difference in handling is that Jetty EOFs are logged less verbosely.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EofException()`
`EofException(String reason)`
`EofException(Throwable th)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EofException

    public EofException()

#### EofException

    public EofException(String reason)

#### EofException

    public EofException(Throwable th)